<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSubstitutionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('substitutions', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->uuid('UUID')->unique();

            $table->uuid('schedule_id');
            $table->uuid('player_id');
            $table->uuid('user_id');
            $table->timestamps();
            
            $table->softDeletes();

            $table->foreign('user_id')->references('UUID')->on('users');
            $table->foreign('player_id')->references('UUID')->on('player');
            $table->foreign('schedule_id')->references('UUID')->on('schedule');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('substitutions');
    }
}
