<?php  function convertYoutube($string) {
        return preg_replace(
            "/\s*[a-zA-Z\/\/:\.]*youtu(be.com\/watch\?v=|.be\/)([a-zA-Z0-9\-_]+)([a-zA-Z0-9\/\*\-\_\?\&\;\%\=\.]*)/i",
            "<iframe src=\"//www.youtube.com/embed/$2\" allowfullscreen></iframe>",
            $string
        );
    }
?>
@include('includes.admin.header')
@include('includes.admin.sidebar')  
<style>
    iframe
    {
        height : auto;
        max-width : 200px;
    }
</style>
<script>
    $(document).ready(function(){
        $('#live-video-menu').addClass('active');
    });
</script>
<!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
         Live Video Archieve List
            <small>From Live Video Archieve</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Live Video Archieve</a></li>
            
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                <div class="box-header with-border">
                  <h3 class="box-title">Live Video Archieve</h3>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive">
                    @if ($errors->any())
                            <div class='error'>
                                {{ implode('', $errors->all(':message<br/>')) }}
                            </div>
                        @endif
                    <table class="table table-bordered table-striped table-datatable">
                        <thead>
                            <tr>
                              <th>#</th>
                              <th>Title</th>
                              <th>Video</th>
                            
                              <th>
                                  Added On
                              </th>
                             
                              <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $count = 1;
                            ?>
                            @if($liveVideos->count() > 0)
                            @foreach($liveVideos AS $liveVideo)
                            <tr>
                                <td>{{$count++}}</td>
                                <td>{{$liveVideo['title']}}</td>
                                <td>{!!convertYoutube($liveVideo['url'])!!}</td>
                                <td>{{date("d M Y H:i:s", strtotime($liveVideo['created_at']))}}</td>
                               
                                 <td>
                                    <a class=" btn btn-xs btn-success" href="/admin/live/archieve/{{$liveVideo['UUID']}}/edit"><i class="glyphicon glyphicon-edit"></i></a>&nbsp;&nbsp;
                                     <a class=" btn btn-xs btn-danger btn-remove" href="#" data-id="{{$liveVideo['UUID']}}"><i class="glyphicon glyphicon-remove"></i></a>
  <!--                                   <a href="#" class="btn btn-sm bg-olive">Approve</a>-->
                                 </td>
                            </tr>
                            @endforeach
                            @endif
                        </tbody>
                    
			
                  </table>
                </div><!-- /.box-body -->
<!--                <div class="box-footer clearfix">
                  <ul class="pagination pagination-sm no-margin pull-right">
                    <li><a href="#">&laquo;</a></li>
                    <li><a href="#">1</a></li>
                    <li><a href="#">2</a></li>
                    <li><a href="#">3</a></li>
                    <li><a href="#">&raquo;</a></li>
                  </ul>
                </div>-->
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      
    <script>
         $(".table-datatable").DataTable(
                    {
                        dom: 'Bfrtip',
                        buttons: [

                            'excelHtml5',
                            'csvHtml5',
                            'pdfHtml5',
                           'print'
                        ],
                        "bPaginate": false,
                        paging: false,
                        searching: false,
                       
                    });
      
        
        $(document).on('click', '.btn-remove', function(){
                var id = $(this).attr('data-id');
                var name = $(this).attr('data-name');
                var conf = confirm("Are you sure you want to delete live Archieve Video?");
                var parent = $(this).parents('tr').first();
                var current = $(this);
                if(conf)
                {
                    $.ajax({
                        url: '/admin/live/archieve/' + id + '/delete',
                        type: 'DELETE',
                        dataType: 'json',
                        data:{"_token": "{{ csrf_token() }}"}
                    }).done(function(result) {
                        alert('Live Proposal Deleted Successfully');
                        $(parent).remove();
                    }).fail(function(xhr, textStatus, errorThrown){
                        var res = xhr.responseJSON;
                        var html = '';
                        console.log(res);
                        $(res).each(function(i, value){
                            console.log(value);
                            html+= value;
                        });
                        alert(html);
                        $(current).removeAttr('disabled');
                        $('#position-message').find('.modal-body p').html(html);
                        $('#position-message').modal('show');
                    });
                    
                }
              
            });
    </script>
@include('includes.admin.footer')