<?php

/*
*
* INFOATCLUSTER TECHNOLABS LLP ("COMPANY") CONFIDENTIAL
* Copyright (c) 2016-2017 INFOATCLUSTER TECHNOLABS LLP, All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of INFOATCLUSTER TECHNOLABS LLP. The intellectual and technical concepts contained
* herein are proprietary to INFOATCLUSTER TECHNOLABS LLP and may be covered by Indian and Foreign Patents, patents in process, and are protected by trade secret or copyright law.
* Dissemination of this information or reproduction of this material is strictly forbidden unless prior written permission is obtained
* from COMPANY.  Access to the source code contained herein is hereby forbidden to anyone except current COMPANY employees, managers or contractors who have executed 
* Confidentiality and Non-disclosure agreements explicitly covering such access.
*
* The copyright notice above does not evidence any actual or intended publication or disclosure  of  this source code, which includes  
* information that is confidential and/or proprietary, and is a trade secret, of  COMPANY.   ANY REPRODUCTION, MODIFICATION, DISTRIBUTION, PUBLIC  PERFORMANCE, 
* OR PUBLIC DISPLAY OF OR THROUGH USE  OF THIS  SOURCE CODE  WITHOUT  THE EXPRESS WRITTEN CONSENT OF COMPANY IS STRICTLY PROHIBITED, AND IN VIOLATION OF APPLICABLE 
* LAWS AND INTERNATIONAL TREATIES.  THE RECEIPT OR POSSESSION OF  THIS SOURCE CODE AND/OR RELATED INFORMATION DOES NOT CONVEY OR IMPLY ANY RIGHTS  
* TO REPRODUCE, DISCLOSE OR DISTRIBUTE ITS CONTENTS, OR TO MANUFACTURE, USE, OR SELL ANYTHING THAT IT  MAY DESCRIBE, IN WHOLE OR IN PART.                
*
*
* @author Mohammed Shayas M K
* 
*/

/* API */
Route::group(['middleware' => ['web'], 'prefix' => 'api/v1/admin'], function(){
    Route::post('/login', 'Admin\AuthApiController@login');
});

/* Auth */
Route::group(['middleware' => ['web'], 'prefix' => 'admin'], function(){
    Route::get('/login', 'Admin\AuthController@login');
    Route::get('/logout', 'Admin\AuthController@logout');
});

Route::group(['middleware' => ['web', 'cookie','admin-access'], 'prefix' => 'admin'], function(){
    Route::get('/', 'Admin\DashboardController@index');
    
    Route::get('/team', 'Admin\AdminTeamController@index');
    Route::get('/team/create', 'Admin\AdminTeamController@add');
    Route::post('/team/save', 'Admin\AdminTeamController@save');
    Route::get('/team/edit/{id}', 'Admin\AdminTeamController@edit');
    Route::post('/team/update/{id}', 'Admin\AdminTeamController@update');
    Route::delete('/team/delete/{id}', 'Admin\AdminTeamController@delete');
    Route::get('/team/{id}', 'Admin\AdminTeamController@currentTeam');
    
    Route::get('/user', 'Admin\AdminUserController@index');
    Route::get('/user/create', 'Admin\AdminUserController@add');
    Route::post('/user/save', 'Admin\AdminUserController@save');
    Route::get('/user/edit/{id}', 'Admin\AdminUserController@edit');
    Route::post('/user/update/{id}', 'Admin\AdminUserController@update');
    Route::delete('/user/delete/{id}', 'Admin\AdminUserController@delete');
    Route::get('/user/{id}', 'Admin\AdminUserController@currentUser');
    
    Route::get('/user/{id}/payments', 'Admin\AdminUserController@userPayments');
    Route::post('/user/{id}/votes/add', 'Admin\AdminUserController@userVotesAdd');
    
    Route::get('/schedule', 'Admin\AdminScheduleController@index');
    Route::get('/schedule/create', 'Admin\AdminScheduleController@add');
    Route::post('/schedule/save', 'Admin\AdminScheduleController@save');
    Route::get('/schedule/edit/{id}', 'Admin\AdminScheduleController@edit');
    Route::post('/schedule/update/{id}', 'Admin\AdminScheduleController@update');
    Route::delete('/schedule/delete/{id}', 'Admin\AdminScheduleController@delete');
    Route::get('/schedule/{id}', 'Admin\AdminScheduleController@currentSchedule');
    Route::get('/schedule/{id}/player/add/post', 'Admin\AdminScheduleController@addPlayersForSchedule');
    Route::get('/schedule/{id}/player/add/pre', 'Admin\AdminScheduleController@addPreMatchFormationForSchedule');
    Route::post('/schedule/{id}/players/save', 'Admin\AdminScheduleController@savePlayersForSchedule');
    Route::get('/schedule/{id}/players/get', 'Admin\AdminScheduleController@getPlayersForSchedule');
    Route::post('/schedule/{id}/pre/save', 'Admin\AdminScheduleController@savepreMatchFormation');
    Route::get('/schedule/{id}/pre/formation', 'Admin\AdminScheduleController@getpreMatchFormationInfo');
    Route::post('/schedule/players/delete', 'Admin\AdminScheduleController@deleteSchedulePlayer');
    
    Route::get('/player', 'Admin\AdminPlayerController@index');
    Route::get('/player/create', 'Admin\AdminPlayerController@add');
    Route::post('/player/create', 'Admin\AdminPlayerController@add');
    Route::post('/player/save', 'Admin\AdminPlayerController@save');
    Route::get('/player/edit/{id}', 'Admin\AdminPlayerController@edit');
    Route::post('/player/edit/{id}', 'Admin\AdminPlayerController@edit');
    Route::delete('/player/delete/{id}', 'Admin\AdminPlayerController@delete');
    Route::get('/player/{id}', 'Admin\AdminPlayerController@currentPlayer');
    
    Route::get('/position', 'Admin\AdminPositionController@listPosition');
    Route::get('/position/create', 'Admin\AdminPositionController@addPosition');
    Route::post('/position/save', 'Admin\AdminPositionController@savePosition');
    Route::get('/position/edit/{id}', 'Admin\AdminPositionController@editPosition');
    Route::post('/position/update/{id}', 'Admin\AdminPositionController@updatePosition');
    Route::delete('/position/delete/{id}', 'Admin\AdminPositionController@deletePosition');
    
    Route::get('/position/sub', 'Admin\AdminPositionController@listSubPosition');
    Route::get('/position/{id}', 'Admin\AdminPositionController@currentPosition');
    Route::get('/position/{id}/columns', 'Admin\AdminPositionController@getColumnsOfCurrentPosition');
    
    Route::get('/position/sub/create', 'Admin\AdminPositionController@addSubPosition');
    Route::post('/position/sub/save', 'Admin\AdminPositionController@saveSubPosition');
    Route::get('/position/sub/edit/{id}', 'Admin\AdminPositionController@editSubPosition');
    Route::post('/position/sub/update/{id}', 'Admin\AdminPositionController@updateSubPosition');
    Route::get('/position/sub/delete/{id}', 'Admin\AdminPositionController@deleteSubPosition');
    Route::get('/position/sub/{id}', 'Admin\AdminPositionController@currentSubPosition');
    Route::get('/positions/columns/all', 'Admin\AdminPositionController@allPositionColumns');
    
    Route::get('/proposal', 'Admin\AdminProposalController@index');
    
    Route::post('/proposal/confirm', 'Admin\AdminProposalController@confirmProposal');
    Route::post('/proposal/deny', 'Admin\AdminProposalController@denyProposal');
    Route::get('/decision/create', 'Admin\AdminDecisionController@add');
    Route::post('/decision/save', 'Admin\AdminDecisionController@save');
    Route::get('/proposal/edit/{id}', 'Admin\AdminProposalController@edit');
    Route::post('/proposal/update/{id}', 'Admin\AdminProposalController@update');
    Route::get('/decision/delete/{id}', 'Admin\AdminDecisionController@delete');
    Route::get('/proposal/{id}', 'Admin\AdminProposalController@currentProposal');
    
    Route::get('/decision/polls', 'Admin\AdminDecisionController@decisionPolls');
    Route::get('/decision/polls/create', 'Admin\AdminDecisionController@createDecisionPolls');
    Route::get('/decision/polls/edit/{id}', 'Admin\AdminDecisionController@editDecisionPolls');
    Route::post('/decision/polls/update/{id}', 'Admin\AdminDecisionController@updateDecisionPolls');
    Route::get('/decision/polls/{id}', 'Admin\AdminDecisionController@currentDecisionPoll');
    Route::get('/decision/polls/{id}/view', 'Admin\AdminDecisionController@currentDecisionPollView');
    Route::post('/decision/polls/save', 'Admin\AdminDecisionController@addDecisionPoll');
    Route::post('/decision/polls/{pollsID}/option/{pollsOptionID}/update', 'Admin\AdminDecisionController@updateDecisionPollOption');
    
    Route::get('/decision/proposal', 'Admin\AdminDecisionController@index');
    Route::get('/decision/proposal/edit/{id}', 'Admin\AdminDecisionController@edit');
    Route::post('/decision/proposal/update/{id}', 'Admin\AdminDecisionController@update');
    Route::get('/decision/proposal/{id}', 'Admin\AdminDecisionController@currentDecisionProposal');
    Route::post('/decision/proposal/confirm', 'Admin\AdminDecisionController@confirmProposal');
    Route::post('/decision/proposal/deny', 'Admin\AdminDecisionController@denyProposal');
    
    Route::get('/tactic/suggestions', 'Admin\AdminTacticController@index');
    Route::get('/tactic/suggestions/edit/{id}', 'Admin\AdminTacticController@edit');
    Route::post('/tactic/suggestions/update/{id}', 'Admin\AdminTacticController@update');
    Route::get('/tactic/suggestions/{id}', 'Admin\AdminTacticController@currentDecisionProposal');
    Route::post('/tactic/suggestions/confirm', 'Admin\AdminTacticController@confirmProposal');
    Route::post('/tactic/suggestions/deny', 'Admin\AdminTacticController@denyProposal');
    Route::post('/tactic/results', 'Admin\AdminReportsController@tacticResultsJson');
    
    Route::get('/banners', 'Admin\AdminBannersController@index');
    Route::get('/banners/create', 'Admin\AdminBannersController@add');
    Route::get('/banners/save', 'Admin\AdminBannersController@save');
    Route::get('/banners/edit/{id}', 'Admin\AdminBannersController@edit');
    Route::get('/banners/update/{id}', 'Admin\AdminBannersController@update');
    Route::get('/banners/delete/{id}', 'Admin\AdminBannersController@delete');
    
   // Route::get('/position', 'Admin\AdminOtherController@index');
    Route::get('/conversations', 'Admin\AdminOtherController@index');
    
    Route::get('/password/reset', 'Admin\AdminOtherController@index');
    
    Route::get('/reports/votes', 'Admin\AdminOtherController@index');
    
    Route::get('/formations/suggestions', 'Admin\AdminTacticController@formations');
    Route::get('/formations/suggestions/{id}', 'Admin\AdminTacticController@eachFormations');
    Route::get('/formations/suggestions/{id}/players/get', 'Admin\AdminTacticController@getPlayersOfTacticSuggestions');
    
    Route::get('/formations', 'Admin\AdminFormationsController@index');
    Route::get('/formations/create', 'Admin\AdminFormationsController@addFormation');
    Route::post('/formations/save', 'Admin\AdminFormationsController@save');
    Route::get('/formations/edit/{id}', 'Admin\AdminFormationsController@edit');
    Route::get('/formations/{id}/players/get', 'Admin\AdminFormationsController@getColumnsOfFormations');
    Route::post('/formations/{UUID}/update', 'Admin\AdminFormationsController@update');
    
    
    
    Route::get('/reports/player/evaluation', 'Admin\AdminReportsController@getPlayerEvaluationList');
    Route::get('/reports/player/evaluation/schedule/{UUID}', 'Admin\AdminReportsController@getPlayerEvaluationReport');
    
    Route::get('/reports/tactics', 'Admin\AdminReportsController@getTacticList');
    Route::get('/reports/tactics/schedule/{UUID}', 'Admin\AdminReportsController@getTacticsReport');
    
    Route::delete('/vote/{voteID}/delete', 'Admin\AdminUserController@deleteVote');
    
    Route::get('/company/details', 'Admin\AdminProfileController@profile');
    Route::post('/company/details/attachments', 'Admin\AdminProfileController@attachmentsPost');
    Route::post('/company/details', 'Admin\AdminProfileController@save');
    
    Route::get('/goal/keeper/default', 'Admin\AdminProfileController@goalKeeperDefault');
    Route::post('/goal/keeper/default', 'Admin\AdminProfileController@goalKeeperDefault');
});